User account creation filtered due to spam.

Bug 21099 - ICE on mmx intrinsics
Summary: ICE on mmx intrinsics
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 4.0.0
: P2 normal
Target Milestone: 4.0.1
Assignee: Richard Henderson
URL:
Keywords: ice-on-valid-code, ssemmx
Depends on:
Blocks:
 
Reported: 2005-04-19 08:04 UTC by Chih-Chung Chang
Modified: 2005-04-24 11:39 UTC (History)
1 user (show)

See Also:
Host: i686-pc-linux-gnu
Target: i686-pc-linux-gnu
Build: i686-pc-linux-gnu
Known to work:
Known to fail:
Last reconfirmed: 2005-04-23 16:56:25


Attachments
the test case (374 bytes, text/x-c++src)
2005-04-19 08:05 UTC, Chih-Chung Chang
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Chih-Chung Chang 2005-04-19 08:04:35 UTC
ICE on gcc 4.0.0rc2, but works on both 3.3.5 and 3.4.3.

$ /usr/local/gcc-4.0/bin/g++ -c -O -mmmx 1.cpp
1.cpp: In function 'void f()':
1.cpp:51: internal compiler error: in simplify_subreg, at simplify-rtx.c:3729
Comment 1 Chih-Chung Chang 2005-04-19 08:05:28 UTC
Created attachment 8680 [details]
the test case
Comment 2 Richard Henderson 2005-04-23 16:56:24 UTC
Confirmed.  Curiously, the test case doesn't fail compiled as C, only C++.
Comment 3 CVS Commits 2005-04-23 17:13:23 UTC
Subject: Bug 21099

CVSROOT:	/cvs/gcc
Module name:	gcc
Branch: 	gcc-4_0-branch
Changes by:	rth@gcc.gnu.org	2005-04-23 17:13:12

Modified files:
	gcc            : ChangeLog 
	gcc/config/i386: i386.c 

Log message:
	PR target/21099
	* config/i386/i386.c (ix86_split_to_parts): Use proper mode when
	simplifying CONST_VECTOR.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=2.7592.2.179&r2=2.7592.2.180
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/i386/i386.c.diff?cvsroot=gcc&only_with_tag=gcc-4_0-branch&r1=1.795.6.4&r2=1.795.6.5

Comment 4 CVS Commits 2005-04-23 17:14:36 UTC
Subject: Bug 21099

CVSROOT:	/cvs/gcc
Module name:	gcc
Changes by:	rth@gcc.gnu.org	2005-04-23 17:14:31

Modified files:
	gcc            : ChangeLog tree-eh.c 
	gcc/config/i386: i386.c 

Log message:
	PR target/21099
	* config/i386/i386.c (ix86_split_to_parts): Use proper mode when
	simplifying CONST_VECTOR.

Patches:
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/ChangeLog.diff?cvsroot=gcc&r1=2.8425&r2=2.8426
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/tree-eh.c.diff?cvsroot=gcc&r1=2.30&r2=2.31
http://gcc.gnu.org/cgi-bin/cvsweb.cgi/gcc/gcc/config/i386/i386.c.diff?cvsroot=gcc&r1=1.813&r2=1.814

Comment 5 Richard Henderson 2005-04-23 17:16:04 UTC
Fixed.